Subject: [SIP] How to locate a user?

From: Bodgey Yin Shaohua <[email-masked]>
Date: Thu, 3 Aug 2000 09:48:45 +0530

Hi : 
       In the RFC2543, there mentioned that A location server may use one or
more other protocols to determine the end system where a user might be
reachable, and return the several locations to SIP server. but I have three
questions: 
      A. Which location server does the SIP server contact with? Does the
SIP server contact with one or more location server? 
      B. How does the location server return a User address ? Is it a
address of the User's or a SIP server's?  
      C. If the location server always return more addresses of a User's
because it might be reachable, then the SIP server also to contact with more
addresses in order to find a user, it lead to waste the resourse and find
user slow, is it a big problem using SIP?  
       Does anyone give a answer ? thanks very much !

Bodgey 
2000/8/3

---

From: "Jo Hornsby" <[email-masked]>
Date: Thu, 3 Aug 2000 09:22:15 +0100

>        In the RFC2543, there mentioned that A location server may
> use one or more other protocols to determine the end system where
> a user might be reachable, and return the several locations to
> SIP server. but I have three questions:
>
>      A. Which location server does the SIP server contact with?
> Does the SIP server contact with one or more location server?

This is purely an implementation issue.

Section 1.4.5 (RFC or bis) specifies that a Location Server may
use various other protocols such as LDAP to find a user.  Sitting
one "Location Server" in front of each protocol, and querying
multiple Location Servers is indistinguishable from sitting
the Behemoth Location Server in front of many protocols, and
only querying one [the Behemoth] Location Server.  In fact, like
all things, a "Location Server" is a logical role, so one
could concede that using multiple "Location Servers" is really
only using one Location Server that happens to talk to other
types of Location Server.

>      B. How does the location server return a User address ? Is
> it a address of the User's or a SIP server's?  

(I'm assuming by "SIP server" you mean a proxy or redirect
server, here; in general, any entity that receives requests is
a SIP Server.)
That does not matter, and in practice, you're never going to know.

For instance, it is not hard to conceive a proxy that serves
a company that has two distinct sites, A and B.  A is the primary
site, so all SIP traffic for the company first goes to a proxy
situated at A.  The proxy at A talks to a location server that
knows where employees can be found.  If the employee is located
at site A, the location server will return the address of the
employee's SIP 'phone; if the employee is located at site B,
the location server will return the address of a different
proxy that serves site B.

Therefore, in some cases a Location Server is returning the
ultimate UA address, and in other cases, it is returning the
address of a proxy that is better suited to handling the request.

>      C. If the location server always return more addresses of a
> User's because it might be reachable, then the SIP server also to
> contact with more addresses in order to find a user, it lead to
> waste the resourse and find user slow, is it a big problem using SIP?

A location server may return zero or more results for a URI
lookup.  Note that however many results it returns, user location
need not be any slower if the search is done in parallel.

And yes, it could be wasteful, if the URI mapped to tens or
hundreds or thousands (yada, yada) of possible locations.
However, in practise, this is unlikely to be the case.  In the
Grander Scheme of things, how many contact telephone numbers
does a person typically have?

HTH,

 - Jo.

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip